#ifndef _SG_CENTER_GLOBAL_
#define _SG_CENTER_GLOBAL_

#define NUM_CENTER  56

static const char *_sg_info_predefined[NUM_CENTER][4] = {
      { "Accelerated Technologies Center for Gene to 3D Structure", "ATCG3D",
        "PSI, Protein Structure Initiative", "2" },
      { "Assembly, Dynamics and Evolution of Cell-Cell and Cell-Matrix Adhesions",
        "CELLMAT", "PSI:Biology", "3" },
      { "Atoms-to-Animals: The Immune Function Network", "IFN", "PSI:Biology", "3" },
      { "Bacterial targets at IGS-CNRS, France", "BIGS", "", "0" },
      { "Berkeley Structural Genomics Center", "BSGC",
        "PSI, Protein Structure Initiative", "1" },
      { "Center for Eukaryotic Structural Genomics", "CESG",
        "PSI, Protein Structure Initiative", "2" },
      { "Center for High-Throughput Structural Biology", "CHTSB",
        "PSI, Protein Structure Initiative", "2" },
      { "Center for Membrane Proteins of Infectious Diseases", "MPID", "PSI:Biology", "3" },
      { "Center for Structural Genomics of Infectious Diseases", "CSGID", "", "0" },
      { "Center for Structures of Membrane Proteins", "CSMP", "PSI:Biology", "3" },
      { "Center for the X-ray Structure Determination of Human Transporters",
        "TransportPDB", "PSI:Biology", "3" },
      { "Chaperone-Enabled Studies of Epigenetic Regulation Enzymes", "CEBS",
        "PSI:Biology", "3" },
      { "Enzyme Discovery for Natural Product Biosynthesis", "NATPRO", "PSI:Biology", "3" },
      { "GPCR Network", "GPCR", "PSI:Biology", "3" },
      { "Integrated Center for Structure and Function Innovation", "ISFI",
        "PSI, Protein Structure Initiative", "2" },
      { "Israel Structural Proteomics Center", "ISPC", "", "0" },
      { "Joint Center for Structural Genomics", "JCSG", "PSI:Biology", "3" },
      { "Marseilles Structural Genomics Program @ AFMB", "MSGP", "", "0" },
      { "Medical Structural Genomics of Pathogenic Protozoa", "MSGPP", "", "0" },
      { "Membrane Protein Structural Biology Consortium", "MPSBC", "PSI:Biology", "3" },
      { "Membrane Protein Structures by Solution NMR", "MPSbyNMR", "PSI:Biology", "3" },
      { "Midwest Center for Structural Genomics", "MCSG", "PSI:Biology", "3" },
      { "Mitochondrial Protein Partnership", "MPP", "PSI:Biology", "3" },
      { "Montreal-Kingston Bacterial Structural Genomics Initiative", "BSGI", "", "0" },
      { "Mycobacterium Tuberculosis Structural Proteomics Project", "XMTB", "", "0" },
      { "New York Consortium on Membrane Protein Structure", "NYCOMPS", "PSI:Biology", "3" },
      { "New York SGX Research Center for Structural Genomics", "NYSGXRC",
        "PSI, Protein Structure Initiative", "2" },
      { "New York Structural Genomics Research Consortium", "NYSGRC", "PSI:Biology", "3" },
      { "New York Structural GenomiX Research Consortium", "NYSGXRC",
        "PSI, Protein Structure Initiative", "2" },
      { "Northeast Structural Genomics Consortium", "NESG", "PSI:Biology", "3" },
      { "Nucleocytoplasmic Transport: a Target for Cellular Control", "NPCXstals",
        "PSI:Biology", "3" },
      { "Ontario Centre for Structural Proteomics", "OCSP", "", "0" },
      { "Oxford Protein Production Facility", "OPPF", "", "0" },
      { "Paris-Sud Yeast Structural Genomics", "YSG", "", "0" },
      { "Partnership for Stem Cell Biology", "", "PSI:Biology", "3" },
      { "Partnership for T-Cell Biology", "", "PSI:Biology", "3" },
      { "Program for the Characterization of Secreted Effector Proteins", "PCSEP",
        "PSI:Biology", "3" }, 
      { "Protein Structure Factory", "PSF", "", "0" },
      { "RIKEN Structural Genomics/Proteomics Initiative", "RSGI",
        "NPPSFA, National Project on Protein Structural and Functional Analyses", "0" },
      { "Scottish Structural Proteomics Facility", "SSPF", "", "0" },
      { "Seattle Structural Genomics Center for Infectious Disease", "SSGCID", "", "0" },
      { "South Africa Structural Targets Annotation Database", "SASTAD", "", "0" },
      { "Southeast Collaboratory for Structural Genomics", "SECSG",
        "PSI, Protein Structure Initiative", "1" },
      { "Structural Genomics Consortium", "SGC", "", "0" },
      { "Structural Genomics Consortium for Research on Gene Expression", "SGCGES", "", "0" },
      { "Structural Genomics of Pathogenic Protozoa Consortium", "SGPP",
        "PSI, Protein Structure Initiative", "1" },
      { "Structural Proteomics in Europe", "SPINE", "", "0" },
      { "Structure-Function Studies of Tight Junction Membrane Proteins", "TJMP",
        "PSI:Biology", "3" },
      { "Structure 2 Function Project", "S2F", "", "0" },
      { "Structure, Dynamics and Activation Mechanisms of Chemokine Receptors", "CHSAM",
        "PSI:Biology", "3" },
      { "Structures of Mtb Proteins Conferring Susceptibility to Known Mtb Inhibitors",
        "MTBI", "PSI:Biology", "3" },
      { "TB Structural Genomics Consortium", "TBSGC",
        "PSI, Protein Structure Initiative", "1" },
      { "The Integrated Center for Structure and Function Innovation", "ISFI",
        "PSI, Protein Structure Initiative", "2" },
      { "The Structural Genomics Consortium for Research on Gene Expression System", "SGCGES",
        "NPPSFA, National Project on Protein Structural and Functional Analyses", "0" },
      { "Transcontinental EM Initiative for Membrane Protein Structure", "TEMIMPS",
        "PSI:Biology", "3" },
      { "Transmembrane Protein Center", "TMPC", "PSI:Biology", "3" }
};

#endif
