#ifndef _ASSEMBLY_PARSER_UTIL_
#define _ASSEMBLY_PARSER_UTIL_

#include "CifFileObj.h"

typedef struct {
       double Matrix[3][4];
       ReVarCifArray<CifString> AsymIds;
} __GENASSEMBLY;

extern void get_assembly_list(ReVarCifArray<ReVarCifArray<__GENASSEMBLY> > &assembly_lists,
              CifFileObj *fobj, const char *blockId);
extern int parseString(CifString &op_string, ReVarCifArray<CifString> &list);
extern void get_multi_matrix_list(char *id_string, ReVarCifArray<CifString> &id_list);
extern int get_final_matrix(double mat[4][4], ReVarCifArray<CifString> &id_list, ISTable *Table);

#endif
